#ifndef GENERICMEMORYSPACECHECK_H
#define GENERICMEMORYSPACECHECK_H

#include <QWidget>
#include <qhexspinbox.h>
#include <memsizewdgt.h>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>


class genericmemoryspacecheck : public QWidget
{
    Q_OBJECT
public:
    explicit genericmemoryspacecheck(const QString Name,unsigned int baseAddress,unsigned int size,QWidget *parent = 0);
    static bool launchTest(genericmemoryspacecheck* instance,unsigned int baseAddress,unsigned int size);

signals:
    unsigned int WriteSig(unsigned int* Value,unsigned int count,unsigned int address);
    unsigned int ReadSig(unsigned int* Value,unsigned int count,unsigned int address);
public slots:
    void launchTestSlt();
private:
    QVBoxLayout* mainLayout;
    QHBoxLayout* secondLayout;
    QLabel* MemoryName;
    QHexSpinBox* AddrQHspBx;
    MemSizeWdgt* MemSize;
    QPushButton* LaunchtestQPB;
    QLabel* result;

};

#endif // GENERICMEMORYSPACECHECK_H
