#ifndef MEMORYCHECK_H
#define MEMORYCHECK_H

#include <QWidget>
#include <qhexspinbox.h>
#include "genericmemoryspacecheck.h"
#include <QHBoxLayout>
#include <QVBoxLayout>


class memorycheck : public QWidget
{
    Q_OBJECT
public:
    explicit memorycheck(QWidget *parent = 0);

signals:
    unsigned int WriteSig(unsigned int* Value,unsigned int count,unsigned int address);
    unsigned int ReadSig(unsigned int* Value,unsigned int count,unsigned int address);
public slots:
private:
    QVBoxLayout* mainLayout;
    genericmemoryspacecheck* ROMcheck;
    genericmemoryspacecheck* SRAMcheck;

};

#endif // MEMORYCHECK_H
