#include "gr_esb_ui.h"
#include "ui_gr_esb_ui.h"
#include <QWebView>

GR_ESB_ui::GR_ESB_ui(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::GR_ESB_ui)
{
    ui->setupUi(this);
    connect(this->ui->GRESB_IP_lineEdit,SIGNAL(textChanged(QString)),this,SLOT(changeIp(QString)));
    connect(this->ui->GRESB_Vlink_CmBx,SIGNAL(currentIndexChanged(QString)),this,SIGNAL(vlinkchanged(QString)));
    connect(this->ui->connectQpb,SIGNAL(clicked()),this,SIGNAL(connectClicked()));
}

void GR_ESB_ui::changeIp(QString ip)
{
    this->ui->WebView->load(QUrl("http://"+ip));
    emit this->ipchanged(ip);
}

void GR_ESB_ui::lock(bool lock)
{
    this->ui->GRESB_IP_lineEdit->setDisabled(lock);
    this->ui->GRESB_LinkNum_CmBx->setDisabled(lock);
    this->ui->GRESB_Vlink_CmBx->setDisabled(lock);
    if(lock)
        this->ui->connectQpb->setText("Disconnect");
    else
        this->ui->connectQpb->setText("Connect");
}

