/*------------------------------------------------------------------------------
--  This file is a part of the SocExplorer Software
--  Copyright (C) 2011, Plasma Physics Laboratory - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@lpp.polytechnique.fr
----------------------------------------------------------------------------*/
#ifndef GENERICRWPLUGIN_H
#define GENERICRWPLUGIN_H
#include "genericrwpluginui.h"
#include <QMenuBar>
#include <QMenu>
#include <QAction>
#include <QMainWindow>



#include <socexplorerplugin.h>

#define AHB_PLUGNPLAY_MASTER_START 0xFFFFF000
#define AHB_PLUGNPLAY_MASTER_STOP  0xFFFFF800
#define AHB_PLUGNPLAY_SLAVE_START  0xFFFFF800
#define AHB_PLUGNPLAY_SLAVE_STOP   0xFFFFFFFC


class genericrwplugin : public socexplorerplugin
{
    Q_OBJECT
public:
    explicit genericrwplugin(QWidget *parent = 0);
    ~genericrwplugin();
    int registermenu(QMainWindow *menuHolder);
public slots:
    unsigned int Write(unsigned int *Value,unsigned int count,unsigned int address=0);
    unsigned int Read(unsigned int *Value,unsigned int count,unsigned int address=0);
signals:

private:
    genericrwpluginUi* UI;
};

#endif // GENERICRWPLUGIN_H
