/*------------------------------------------------------------------------------
--  This file is a part of the SocExplorer Software
--  Copyright (C) 2014, Plasma Physics Laboratory - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@lpp.polytechnique.fr
----------------------------------------------------------------------------*/
#ifndef MEMCHECKER_H
#define MEMCHECKER_H

#include <socexplorerplugin.h>

class memchecker
{
public:
    memchecker(socexplorerplugin* plugin);
    QString checkmemory(unsigned int address,unsigned int size,bool* success);
    QString checkdatabits(unsigned int address,unsigned int size,bool* success);

    unsigned int measureMemSize(unsigned int address,unsigned int maxSize=0xFFFFFFFF);
private:
    socexplorerplugin* plugin;
};

#endif // MEMCHECKER_H
