#include "memorycheck.h"

memorycheck::memorycheck(QWidget *parent) :
    QWidget(parent)
{
    this->mainLayout = new QVBoxLayout;
    this->ROMcheck=new genericmemoryspacecheck(QString("ROM"),0,512*1024*1024);
    this->SRAMcheck =new genericmemoryspacecheck(QString("SRAM"),0x40000000,512*1024*1024);
    this->mainLayout->addWidget(this->ROMcheck);
    this->mainLayout->addWidget(this->SRAMcheck);
    this->setLayout(this->mainLayout);
    connect(this->ROMcheck,SIGNAL(ReadSig(uint*,uint,uint)),this,SIGNAL(ReadSig(uint*,uint,uint)));
    connect(this->ROMcheck,SIGNAL(WriteSig(uint*,uint,uint)),this,SIGNAL(WriteSig(uint*,uint,uint)));
    connect(this->SRAMcheck,SIGNAL(ReadSig(uint*,uint,uint)),this,SIGNAL(ReadSig(uint*,uint,uint)));
    connect(this->SRAMcheck,SIGNAL(WriteSig(uint*,uint,uint)),this,SIGNAL(WriteSig(uint*,uint,uint)));
}
